API referenceContracts
List contracts
List all contracts in the company workspace, with their seat items, fixed items and subscription.
GET
/contractscurl -X GET "https://api.corma.io/v1/contracts" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0filtersobjectquery
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsContract[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"id": -9007199254740991,
"applicationInstanceId": -9007199254740991,
"supplierName": "string",
"currency": "string",
"stage": "live",
"renewalType": "fixed",
"paymentMethod": "wire",
"ownerId": "string",
"startDate": "2026-01-15T09:30:00Z",
"renewalDate": "2026-01-15T09:30:00Z",
"noticeDate": "2026-01-15T09:30:00Z",
"lastPaymentDate": "2026-01-15T09:30:00Z",
"activeAt": "2026-01-15T09:30:00Z",
"totalCost": "string",
"subscription": {
"frequency": "monthly",
"customFrequency": "weekly",
"customFrequencyFactor": -9007199254740991,
"nextRenewalDate": "2026-01-15T09:30:00Z"
},
"seatItems": [
{
"id": -9007199254740991,
"licenseTypeKey": "string",
"quantity": -9007199254740991,
"unitPeriodPrice": "string",
"billingPeriod": "monthly",
"isAutoAdjust": true
}
],
"fixedItems": [
{
"id": -9007199254740991,
"name": "string",
"quantity": -9007199254740991,
"unitPeriodPrice": "string",
"billingPeriod": "monthly"
}
],
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}